SyntheticRepository (jakarta-bcel 5.2 API)
Keywords: org.apache.bcel.util.SyntheticRepository class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.bcel.util
Class SyntheticRepository

    java.lang.Object
      org.apache.bcel.util.SyntheticRepository

All Implemented Interfaces:
  Serializable, Repository

    public class SyntheticRepository

extends Object
implements Repository

This repository is used in situations where a Class is created outside the realm of a ClassLoader. Classes are loaded from the file systems using the paths specified in the given class path. By default, this is the value returned by ClassPath.getClassPath().
It is designed to be used as a singleton, however it can also be used with custom classpaths. /** Abstract definition of a class repository. Instances may be used to load classes from different sources and may be used in the Repository.setRepository method.

Version:
  $Id: SyntheticRepository.java 386056 2006-03-15 11:31:56Z tcurdt $
See Also:
  `Repository`, Serialized Form

Method Summary
`void` | `clear()` Clear all entries from cache.
`JavaClass` | `findClass(String className)` Find an already defined (cached) JavaClass object by name.
`ClassPath` | `getClassPath()` ClassPath associated with the Repository.
`static SyntheticRepository` | `getInstance()`
`static SyntheticRepository` | `getInstance(ClassPath classPath)`
`JavaClass` | `loadClass(Class clazz)` Find the JavaClass object for a runtime Class object.
`JavaClass` | `loadClass(String className)` Find a JavaClass object by name.
`void` | `removeClass(JavaClass clazz)` Remove class from repository
`void` | `storeClass(JavaClass clazz)` Store a new JavaClass instance into this Repository.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static SyntheticRepository getInstance()

### getInstance

    public static SyntheticRepository getInstance(ClassPath classPath)

### storeClass

    public void storeClass(JavaClass clazz)

  Store a new JavaClass instance into this Repository.

  Specified by:
    `storeClass` in interface `Repository`

### removeClass

    public void removeClass(JavaClass clazz)

  Remove class from repository

  Specified by:
    `removeClass` in interface `Repository`

### findClass

    public JavaClass findClass(String className)

  Find an already defined (cached) JavaClass object by name.

  Specified by:
    `findClass` in interface `Repository`

### loadClass

    public JavaClass loadClass(String className)
                        throws ClassNotFoundException

  Find a JavaClass object by name. If it is already in this Repository, the Repository version is returned. Otherwise, the Repository's classpath is searched for the class (and it is added to the Repository if found).

  Specified by:
    `loadClass` in interface `Repository`
  Parameters:
    `className` - the name of the class
  Returns:
    the JavaClass object
  Throws:
    `ClassNotFoundException` - if the class is not in the Repository, and could not be found on the classpath

### loadClass

    public JavaClass loadClass(Class clazz)
                        throws ClassNotFoundException

  Find the JavaClass object for a runtime Class object. If a class with the same name is already in this Repository, the Repository version is returned. Otherwise, getResourceAsStream() is called on the Class object to find the class's representation. If the representation is found, it is added to the Repository.

  Specified by:
    `loadClass` in interface `Repository`
  Parameters:
    `clazz` - the runtime Class object
  Returns:
    JavaClass object for given runtime class
  Throws:
    `ClassNotFoundException` - if the class is not in the Repository, and its representation could not be found
  See Also:
    `Class`

### getClassPath

    public ClassPath getClassPath()

  ClassPath associated with the Repository.

  Specified by:
    `getClassPath` in interface `Repository`

### clear

    public void clear()

  Clear all entries from cache.

  Specified by:
    `clear` in interface `Repository`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 Apache Software Foundation. All Rights Reserved.